%define fname anonymous

Name: fonts-ttf-%fname
Version: 2.0
Release: alt3

Summary: TrueType fonts of Old Standard fonts

License: SIL OFL
Group: System/Fonts/True type
Url: http://www.ms-studio.com/FontSales/anonymouspro.html

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.ms-studio.com/FontSales/AnonymousPro.tar.bz2

BuildArch: noarch

BuildRequires: unzip rpm-build-fonts >= 0.4
PreReq: fontconfig >= 2.4.2

%description
Anonymous Pro (2009) is a family of four fixed-width fonts designed
especially with coding in mind. Characters that could be mistaken for one
another (O, 0, I, l, 1, etc.) have distinct shapes to make them easier to
tell apart in the context of source code.Anonymous Pro also features an
international, Unicode-based character set, with support for most Western
and European Latin-based languages, Greek, and Cyrillic. It also includes
special "box drawing" characters for those who need them.While Anonymous
Pro looks great on Macs, Windows and Linux PCs with antialiasing enabled,
it also includes embedded bitmaps for specific pixel sizes ("ppems" in
font nerd speak) for both the regular and bold weight. (Since slanted
bitmaps look pretty bad and hard to read at the supported sizes,
I chose to use the upright bitmaps for the italics as well.) Bitmaps
are included for these ppems: 10, 11, 12, and 13. See the usage notes
(at right) for info on what point sizes these ppems correspond to on
Mac and Windows.Anonymous Pro is based on an earlier font, Anonymous,
which was my TrueType version of Anonymous 9, a freeware Macintosh bitmap
font developed in the mid-90s by Susan Lesch and David Lamkins. The
bitmap version was intended as a more legible alternative to Monaco,
the mono-spaced Macintosh system font.

%prep
%setup -n AnonymousPro

%install
%ttf_fonts_install %fname

%post
%post_fonts

%postun
%postun_fonts

%files -f %fname.files
%doc OFL*.txt FONTLOG.txt README.txt

%changelog
* Thu Dec 10 2009 Vitaly Lipatov <lav@altlinux.ru> 2.0-alt3
- initial build for ALT Linux Sisyphus
